Package org.eclipse.e4.ui.dialogs.textbundles

# Class E4DialogMessages

java.lang.Object
org.eclipse.osgi.util.NLS
org.eclipse.e4.ui.dialogs.textbundles.E4DialogMessages

public class E4DialogMessages extends NLS
Based on org.eclipse.ui.internal.WorkbenchMessages

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`AboutDialog_defaultProductName`
`static String`
`AboutDialog_shellTitle`
`static String`
`AboutPluginsDialog_state_active`
`static String`
`AboutPluginsDialog_state_installed`
`static String`
`AboutPluginsDialog_state_resolved`
`static String`
`AboutPluginsDialog_state_starting`
`static String`
`AboutPluginsDialog_state_stopping`
`static String`
`AboutPluginsDialog_state_uninstalled`
`static String`
`AboutPluginsDialog_state_unknown`
`static String`
`FilteredTree_AccessibleListenerClearButton`
`static String`
`FilteredTree_AccessibleListenerFiltered`
`static String`
`FilteredTree_ClearToolTip`
`static String`
`FilteredTree_FilterMessage`

## Constructor Summary

Constructors
Constructor
Description
`E4DialogMessages()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`reloadMessages()`

### Methods inherited from class org.eclipse.osgi.util.NLS

`bind, bind, bind, initializeMessages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FilteredTree_AccessibleListenerClearButton

public static String FilteredTree_AccessibleListenerClearButton

### FilteredTree_ClearToolTip

public static String FilteredTree_ClearToolTip

### FilteredTree_FilterMessage

public static String FilteredTree_FilterMessage

### FilteredTree_AccessibleListenerFiltered

public static String FilteredTree_AccessibleListenerFiltered

### AboutDialog_shellTitle

public static String AboutDialog_shellTitle

### AboutDialog_defaultProductName

public static String AboutDialog_defaultProductName

### AboutPluginsDialog_state_installed

public static String AboutPluginsDialog_state_installed

### AboutPluginsDialog_state_resolved

public static String AboutPluginsDialog_state_resolved

### AboutPluginsDialog_state_starting

public static String AboutPluginsDialog_state_starting

### AboutPluginsDialog_state_stopping

public static String AboutPluginsDialog_state_stopping

### AboutPluginsDialog_state_uninstalled

public static String AboutPluginsDialog_state_uninstalled

### AboutPluginsDialog_state_active

public static String AboutPluginsDialog_state_active

### AboutPluginsDialog_state_unknown

public static String AboutPluginsDialog_state_unknown

## Constructor Details

### E4DialogMessages

public E4DialogMessages()

## Method Details

### reloadMessages

public static void reloadMessages()